com.aliyun.player.source

## Enum MediaFormat

- java.lang.Object
- - java.lang.Enum<MediaFormat>
  - - com.aliyun.player.source.MediaFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MediaFormat>

      public enum MediaFormat
      extends java.lang.Enum<MediaFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `flv` flv
    `m3u8` m3u8
    `mp3` mp3
    `mp4` mp4

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFormat()` Query the format of the media.
    `static MediaFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MediaFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### mp4

          public static final MediaFormat mp4

      mp4

    - #### m3u8

          public static final MediaFormat m3u8

      m3u8

    - #### flv

          public static final MediaFormat flv

      flv

    - #### mp3

          public static final MediaFormat mp3

      mp3

  - ### Method Detail

    - #### values

          public static MediaFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MediaFormat c : MediaFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MediaFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFormat

          public java.lang.String getFormat()

      Query the format of the media.
      Returns:
        The format of the media. Data type: string.